/* ==================================================
   GALLERY
================================================== */

.gallery{

    padding:180px 0;

}

.gallery-grid{

    display:grid;

    grid-template-columns:repeat(12,1fr);

    gap:24px;

    margin-top:80px;

}

.gallery-item{

    position:relative;

    overflow:hidden;

    border-radius:32px;

    cursor:pointer;

    min-height:320px;

    grid-column:span 4;

}

.gallery-item.large{

    grid-column:span 8;

    min-height:600px;

}

.gallery-item.wide{

    grid-column:span 8;

    min-height:420px;

}

.gallery-item img{

    width:100%;

    height:100%;

    object-fit:cover;

    transition:transform .8s ease;

}

.gallery-item:hover img{

    transform:scale(1.08);

}

.gallery-overlay{

    position:absolute;

    inset:0;

    display:flex;

    flex-direction:column;

    justify-content:flex-end;

    padding:35px;

    background:linear-gradient(
        transparent,
        rgba(0,0,0,.7)
    );

    color:white;

    opacity:0;

    transition:.4s;

}

.gallery-item:hover .gallery-overlay{

    opacity:1;

}

.gallery-overlay span{

    letter-spacing:3px;

    text-transform:uppercase;

    font-size:12px;

}

.gallery-overlay h3{

    margin-top:10px;

    font-size:34px;

    font-family:var(--font-heading);

}   